summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Dolbec <dolsen@gentoo.org>2017-06-19 10:36:20 -0700
committerBrian Dolbec <dolsen@gentoo.org>2017-06-19 11:29:37 -0700
commitbb1eccd558babf165091a1cc5301e879a53d99b1 (patch)
tree4c711fe94e13a68cc4e3f1ce1244e45f07f5d3b2
parentdev-util/buildbot: Version bump, update 9999 (diff)
downloadgentoo-bb1eccd558babf165091a1cc5301e879a53d99b1.zip
gentoo-bb1eccd558babf165091a1cc5301e879a53d99b1.tar.gz
gentoo-bb1eccd558babf165091a1cc5301e879a53d99b1.tar.bz2
dev-util/buildbot-worker: Version bump, update 9999
Package-Manager: Portage-2.3.6_p2, Repoman-2.3.2_p70
-rw-r--r--dev-util/buildbot-worker/Manifest1
-rw-r--r--dev-util/buildbot-worker/buildbot-worker-0.9.8.ebuild74
-rw-r--r--dev-util/buildbot-worker/buildbot-worker-9999.ebuild2
3 files changed, 76 insertions, 1 deletions
diff --git a/dev-util/buildbot-worker/Manifest b/dev-util/buildbot-worker/Manifest
index d0e45ef..36c003e 100644
--- a/dev-util/buildbot-worker/Manifest
+++ b/dev-util/buildbot-worker/Manifest
@@ -1,2 +1,3 @@
DIST buildbot-worker-0.9.4.tar.gz 100889 SHA256 129e0d3fa9ee34f0f227487b6d1645820d2d4853099a1b0aed56587d3acab965 SHA512 7d055b7b005ebf1cc8033fb86f5321a9d80e0505c1a8b28b9ba3945323f157d34f34066ee9513e82b05c63af099d6030bf42d6f44533859b4e01983f1114462b WHIRLPOOL 8f2b95a476e93beaba5305137bb1d219a9aff59e8bb4450d6352babe799bb0166c299e7c8ea69e53c467e7e58be2681ddba4ae74ad8ba945221e1059906e5fc1
DIST buildbot-worker-0.9.7.tar.gz 96416 SHA256 a41b4e0c7329821a0d85ee0e6edbde3db403676c62e59a6f436a048a008ac268 SHA512 84ccaf0472553f8422b342163e44e55481f6691338df38db6b1be74f0a79c13e2a52be56df632491662ab79648cd5034ce04d906bbedb01030e4fa96f1689ef9 WHIRLPOOL 70379e6f34ea30aef0e0008fd098a53ba144696f1416ac77c3756018bc371646d2261a28589ad5131f7be7de930189bd771b4a82de27343441543da5c683e122
+DIST buildbot-worker-0.9.8.tar.gz 97193 SHA256 825e022a794c7470276169b6ac1b774f39f60d16545bb46fdf5b4a3b2c78f44f SHA512 43cb7d83835d009c3d4f9a9671d3bd1037d50969b6238f9c77e9f1caedea83c9b9f77d642743d47ff2eea8f3c6549b9e4c843b7d9f638dc5a28339e034ea9b47 WHIRLPOOL 1127b956c3a94ad426c686e42dcbdf6a6f4427751c4ddf247569bc0ee03e86d1ae609263386e730d92b2a572be76208cb999c571fdee9f85de49de161a5c1ab1
diff --git a/dev-util/buildbot-worker/buildbot-worker-0.9.8.ebuild b/dev-util/buildbot-worker/buildbot-worker-0.9.8.ebuild
new file mode 100644
index 00000000..d3e878c
--- /dev/null
+++ b/dev-util/buildbot-worker/buildbot-worker-0.9.8.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+PYTHON_COMPAT=( python2_7 python3_5 )
+
+EGIT_REPO_URI="https://github.com/buildbot/buildbot.git"
+
+[[ ${PV} == *9999 ]] && inherit git-r3
+inherit readme.gentoo user distutils-r1
+
+DESCRIPTION="BuildBot Slave Daemon"
+HOMEPAGE="https://buildbot.net/ https://github.com/buildbot/buildbot https://pypi.python.org/pypi/buildbot-worker"
+
+MY_V="${PV/_p/p}"
+MY_P="${PN}-${MY_V}"
+[[ ${PV} == *9999 ]] || SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+if [[ ${PV} == *9999 ]]; then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64"
+fi
+IUSE="test"
+
+RDEPEND=">=dev-python/setuptools-21.2.1[${PYTHON_USEDEP}]
+ >=dev-python/twisted-17.5.0[${PYTHON_USEDEP}]
+ dev-python/future[${PYTHON_USEDEP}]
+ !<dev-util/buildbot-0.9.7
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/setuptools_trial[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_P}"
+[[ ${PV} == *9999 ]] && S=${S}/slave
+
+pkg_setup() {
+ enewuser buildbot
+
+ DOC_CONTENTS="The \"buildbot\" user and the \"buildbot_worker\" init script has been added
+ to support starting buildbot_worker through Gentoo's init system. To use this,
+ set up your build worker following the documentation, make sure the
+ resulting directories are owned by the \"buildbot\" user and point
+ \"${ROOT}etc/conf.d/buildbot_worker\" at the right location. The scripts can
+ run as a different user if desired. If you need to run more than one
+ build worker, just copy the scripts."
+}
+
+python_test() {
+ distutils_install_for_testing
+
+ esetup.py test || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ doman docs/buildbot-worker.1
+
+ newconfd "${FILESDIR}/buildbot_worker.confd" buildbot_worker
+ newinitd "${FILESDIR}/buildbot_worker.initd" buildbot_worker
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}
diff --git a/dev-util/buildbot-worker/buildbot-worker-9999.ebuild b/dev-util/buildbot-worker/buildbot-worker-9999.ebuild
index d31e83a..d3e878c 100644
--- a/dev-util/buildbot-worker/buildbot-worker-9999.ebuild
+++ b/dev-util/buildbot-worker/buildbot-worker-9999.ebuild
@@ -26,7 +26,7 @@ fi
IUSE="test"
RDEPEND=">=dev-python/setuptools-21.2.1[${PYTHON_USEDEP}]
- >=dev-python/twisted-17.1.0[${PYTHON_USEDEP}]
+ >=dev-python/twisted-17.5.0[${PYTHON_USEDEP}]
dev-python/future[${PYTHON_USEDEP}]
!<dev-util/buildbot-0.9.7
"